Gtk::TreeModelColumnBase Class Reference
TreeView Classes

Base class of TreeModelColumn templates. More...

Inheritance diagram for Gtk::TreeModelColumnBase:
[legend]

## Public Member Functions

GType | type () const
int | index () const

## Protected Member Functions

| TreeModelColumnBase (GType type)

## Related Functions

(Note that these are not member functions.)
bool | operator== (const TreeModelColumnBase& lhs, const TreeModelColumnBase& rhs)
bool | operator!= (const TreeModelColumnBase& lhs, const TreeModelColumnBase& rhs)

## Detailed Description

Base class of TreeModelColumn templates.

## Constructor & Destructor Documentation

Gtk::TreeModelColumnBase::TreeModelColumnBase | ( | GType | type | ) |

explicitprotected

## Member Function Documentation

int Gtk::TreeModelColumnBase::index | ( |  | ) | const

inline

GType Gtk::TreeModelColumnBase::type | ( |  | ) | const

inline

## Friends And Related Function Documentation

bool operator!= | ( | const TreeModelColumnBase& | lhs,
|  | const TreeModelColumnBase& | rhs
| ) |  |

related

bool operator== | ( | const TreeModelColumnBase& | lhs,
|  | const TreeModelColumnBase& | rhs
| ) |  |

related

The documentation for this class was generated from the following file:

- gtkmm/treemodelcolumn.h